//MOOD

/* HIDE RADIO */
.inputMood { 
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
.inputMood + img {
  cursor: pointer;
  margin-left: 1px; 
  margin-top:1px;

}

/* CHECKED STYLES */
.inputMood :checked + img {
 
  border-radius: 30px; 
  filter: grayscale(0%) opacity(100%); 
  
}

.labelMood {
    margin: 20px; 
  display: inline-block;
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius : 50px; 
  filter: grayscale(100%) opacity(70%);
  transition: all .5s ease;
}

.labelMood:hover {
  filter: grayscale(50%) opacity(85%);
  box-shadow: 0 0 15px #777;
  transform: scale(1.2); 
}


.labelMood:focus-within {
   filter: grayscale(0%) opacity(100%); 
}

//LOCATION

.switch {
  position: relative;
  width: 300px;
  padding: 0 1rem;
  font-family: verdana;
  &:before {
    content: '  ';
    position: absolute;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 3rem;
    background: #000;
    border-radius: 30px;
  }
  &__label {
    display: inline-block;
    width: 6rem;
    padding: 0rem;
    text-align: center;
    cursor: pointer;
    transition: color 200ms ease-out;
    &:hover {
      color: white;
    }
  }
  &__indicator {
    width: 4rem;
    height: 4rem;
    position: absolute;
    bottom: -15px;
    left: 0;
    background: blue;
    border-radius: 50%;
    transition: transform 600ms cubic-bezier(.02,.94,.09,.97),
                background 300ms cubic-bezier(.17,.67,.14,1.03);
    transform: translate3d(1rem,0,0);
  }

  input#one:checked ~ .switch__indicator {
    background: PaleGreen;
    transform: translate3d(2rem,0,0);
  }
  input#two:checked ~ .switch__indicator {
    background: MediumTurquoise;
    transform: translate3d(8.5rem,0,0);
  }
  input#three:checked ~ .switch__indicator {
    background: PaleVioletRed;
    transform: translate3d(14.6rem,0,0);
  }
  .switchRadio {
    &:not(:checked),
    &:checked {
      display: none;
    }
  }
}

// Just for styling

